Page MenuHomePhabricator

Kartotherian git deploy service restart failed with perm error
Closed, ResolvedPublic

Description

yurik@tin:/srv/deployment/kartotherian/deploy$ git deploy service restart
Error received from salt; raw output:

Failed to authenticate!  This is most likely because this user is not permitted to execute commands, but there is a small possibility that a disk error occurred (check disk/inode usage).

Event Timeline

Yurik created this task.Sep 15 2015, 10:16 PM
Yurik assigned this task to akosiaris.
Yurik raised the priority of this task from to Needs Triage.
Yurik updated the task description. (Show Details)
Yurik added projects: Maps-Sprint, acl*sre-team.
Yurik added subscribers: Yurik, MaxSem.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 15 2015, 10:16 PM
akosiaris reassigned this task from akosiaris to ArielGlenn.Sep 16 2015, 8:21 AM
akosiaris added a subscriber: akosiaris.

This seems to be the same bug as T102039 as noted on https://phabricator.wikimedia.org/T102039#1389253.
Assigning to Ariel since he is already investigating this there.

akosiaris triaged this task as Medium priority.Sep 16 2015, 8:21 AM
MaxSem moved this task from Backlog to Done on the Maps-Sprint board.Sep 18 2015, 8:30 PM
MaxSem moved this task from Done to Stalled/Waiting on the Maps-Sprint board.
ArielGlenn set Security to None.
Yurik added a project: Maps.Nov 7 2015, 7:34 AM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 7 2015, 7:34 AM
Deskana moved this task from Needs triage to Maps on the Discovery board.Feb 4 2016, 6:16 AM

Probably fixed with the move to noedymium and patched code, if restarts take less than 60 seconds then we should be ok for timeouts as well. Anyone able to test this?

ArielGlenn moved this task from Backlog to active on the Salt board.Feb 5 2016, 4:39 PM
Yurik closed this task as Resolved.Feb 7 2016, 10:12 PM
Yurik moved this task from All map-related tasks to Kartotherian on the Maps board.

all's good on this front i think.

ArielGlenn moved this task from active to Done on the Salt board.Feb 8 2016, 10:28 AM